// Implementation of the L298N Dual H-Bridge IC Motor Driver 2 from the CUTs Layer
module l298n_driver_2 (
  input [3:0]i,
  input enableA, enableB,
  output [3:0]o
  );
  
  assign o[0] = i[0] & enableA;
  assign o[1] = i[1] & enableA;
  assign o[2] = i[2] & enableB;
  assign o[3] = i[3] & enableB;
endmodule

